/**
 * [OElove] (C)2010-2099 OElove.com
 * Email: service@phpcoo.com ,phpcoo@qq.com
 * This is NOT a freeware, use is subject to license terms
 *  Last update 2020-11-11 by OE
*/
$(function(){
    function Friend () {
        this.del();
    }
    Friend.prototype = {
        del: function () {
            $(document).on("click", "[f='but_del']", function(){
                var id = $(this).attr("data-id");

                OEUI.modal.info({
                    title: "温馨提示",
                    text: "确定要删除吗？",
                    confirm: function () {
                        $.ajax({
                            type: "POST",
                            url: _OE_FILE + "&c=friend",
                            cache: false,
                            data: {
                                a:"del", id:id, datatype:"json", r:get_rndnum(8)
                            },
                            dataType: "json",
                            success: function(data) {
                                var json = eval(data);
                                var response = json.response;
                                var result = json.result;
                                if (response == "1") {
                                    OEUI.message.msg({text: "删除成功"});
                                    $("#list_"+id).remove();
                                }
                                else {
                                    if (result.length > 0) {
                                        OEUI.message.msg({text: result});
                                    }
                                    else {
                                        OEUI.message.msg({text: "删除失败"});
                                    }
                                }
                            },
                            error: function() {
                                OEUI.message.msg({text: "系统繁忙，请稍后再试"});
                            }
                        });
                    }
                });
            });
        }
    };
    new Friend();
});
